# Read about `build.yaml` at https://pub.dartlang.org/packages/build_config
builders:
  design_spec:
    target: ":design_spec"
    import: "package:design_generator/design_generator.dart"
    builder_factories: ["designSpecBuilder"]
    build_extensions: { ".dart": [".design.g.part"] }
    auto_apply: dependents
    build_to: cache
    applies_builders: ["source_gen|combining_builder"]